Skip to main content
GET
/
v1
/
webhooks
/
{webhookId}
Get webhook endpoint
curl --request GET \
  --url https://sandbox.payfi.global/v1/webhooks/{webhookId} \
  --header 'X-PayFi-Api-Key: <api-key>' \
  --header 'X-PayFi-Nonce: <api-key>' \
  --header 'X-PayFi-Signature: <api-key>'
{
  "webhookId": "whe_example",
  "name": "Acme endpoint",
  "url": "https://acme.example/payfi/webhooks",
  "status": "ACTIVE",
  "eventTypes": [
    "operation.analysis.completed"
  ],
  "secretPreview": "whsec_te...abcd",
  "createdAt": "2026-05-20T12:00:00.000Z",
  "updatedAt": "2026-05-20T12:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.payfi.global/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-PayFi-Api-Key
string
header
required
X-PayFi-Nonce
string
header
required
X-PayFi-Signature
string
header
required

Path Parameters

webhookId
string
required

Webhook endpoint ID.

Response

Webhook endpoint.

webhookId
string
Example:

"whe_example"

name
string
Example:

"Acme endpoint"

url
string
Example:

"https://acme.example/payfi/webhooks"

status
string
Example:

"ACTIVE"

eventTypes
string[]
Example:
["operation.analysis.completed"]
secretPreview
string
Example:

"whsec_te...abcd"

createdAt
string
Example:

"2026-05-20T12:00:00.000Z"

updatedAt
string
Example:

"2026-05-20T12:00:00.000Z"